#include<stdio.h>

int postoji(long int x, long int y[],long int z[],long int n){
	int i,j,b=0;
	
	for(i=0;i<n;i++){
		if(x==y[i]){
			for(j=0;j<n;j++)
				if(z[j]==i+1)
					b++;
		}
	}
	
	return b;
}

int main(){
	long int n,i,s=0,r;
	
	scanf("%ld",&n);
	
	long int x[n],y[n],z[n];
	
	for(i=0;i<n;i++)
		scanf("%ld",&x[i]);
		
	for(i=0;i<n;i++)
		scanf("%ld",&y[i]);
		
	for(i=0;i<n;i++)
		scanf("%ld",&z[i]);
	
	for(i=0;i<n;i++){
		r=x[i];
		s+=postoji(r,y,z,n);
	}
	
	printf("%ld",s);
	return 0;
}